Bug 185806 - Croatian spelling checker does not work, and it is installed
Croatian spelling checker does not work, and it is installed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-18 10:29 EST by Igor Jagec
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.3-7.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-04 05:03:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The files which are inside Croatian lang pack (14.73 KB, text/plain)
2006-03-18 10:32 EST, Igor Jagec
no flags Details
Files inclouded into openoffice.org-langpack-hr_HR-2.0.2-5.2.2.i386.rpm (14.73 KB, text/plain)
2006-03-20 06:13 EST, Igor Jagec
no flags Details
dictionary.lst (2.15 KB, text/plain)
2006-03-20 08:49 EST, Igor Jagec
no flags Details
hr_HR.dic file (2.24 MB, application/octet-stream)
2006-06-07 02:29 EDT, Igor Jagec
no flags Details
the new hr_HR.aff file (1.17 KB, application/octet-stream)
2006-06-07 02:34 EDT, Igor Jagec
no flags Details
the new hyph_hr.dic file (6.93 KB, application/octet-stream)
2006-06-07 02:35 EDT, Igor Jagec
no flags Details

  None (edit)
Description Igor Jagec 2006-03-18 10:29:17 EST
Description of problem:

Croatian spelling checker doesn't work, even if it is installed. It is even not
listed when I tried to apply it manually.

Version-Release number of selected component (if applicable):

$ rpmgrep openoffice
openoffice.org-calc-2.0.2-5.2.2
openoffice.org-core-2.0.2-5.2.2
openoffice.org-draw-2.0.2-5.2.2
openoffice.org-graphicfilter-2.0.2-5.2.2
openoffice.org-impress-2.0.2-5.2.2
openoffice.org-langpack-hr_HR-2.0.2-5.2.2
openoffice.org-math-2.0.2-5.2.2
openoffice.org-writer-2.0.2-5.2.2
openoffice.org-xsltfilter-2.0.2-5.2.2

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Igor Jagec 2006-03-18 10:32:36 EST
Created attachment 126306 [details]
The files which are inside Croatian lang pack
Comment 2 Caolan McNamara 2006-03-20 05:22:50 EST
I think we are missing a line in the dictionary list

i.e.

edit /usr/lib/openoffice.org2.0/share/dict/ooo/dictionary.lst
and add the line

DICT hr HR hr_HR
to the end. 

Does that fix this ?
Comment 3 Igor Jagec 2006-03-20 06:13:27 EST
Created attachment 126342 [details]
Files inclouded into openoffice.org-langpack-hr_HR-2.0.2-5.2.2.i386.rpm
Comment 4 Igor Jagec 2006-03-20 06:17:24 EST
It does not fix the problem, and that line is already inclouded into the file by
default. I even tried to fix the problem manually following the instructions
from here: http://cvs.linux.hr/spell/index.html , and it didn't help. The funny
thing is that everything works fine under SUSE 10.1 beta8 (?).
Comment 5 Caolan McNamara 2006-03-20 06:46:44 EST
Perhaps attach your /usr/lib/openoffice.org2.0/share/dict/ooo/dictionary.lst
Comment 6 Igor Jagec 2006-03-20 08:49:54 EST
Created attachment 126346 [details]
dictionary.lst
Comment 7 Igor Jagec 2006-03-20 08:52:05 EST
Here it comes above. And here's what I got in the /usr/lib/openoffice.org2.0/
share/dict/ooo/ directory:

# ls
DicOOo.sxw      en_US.aff  hyph_en_CA.dic    th_en_US_v2.dat
dictionary.lst  en_US.dic  hyph_en_GB.dic    th_en_US_v2.idx
en_GB.aff       hr_HR.aff  hyph_en_US.dic    WordNet_license.txt
en_GB.dic       hr_HR.dic  README_en_GB.txt
Comment 8 Igor Jagec 2006-06-03 10:00:21 EDT
Well, I played a bit with the new Ubuntu Dapper Dake yesterday and I noticed that Croatian spelling 
checker works fine on Ubuntu. I copied all the /usr/lib/openoffice.org2.0/share/dict/ooo directory to 
my Fedora Core 5 and everything works fine now on FC5. I'd like to upload that directory (5.7 MB 
compressed in  tar.bz2format) somewhere, so you can fix the problem. Where can I upload the file, 
can I upload it here on Red Hat's bugzilla? Thanks.
Comment 9 Igor Jagec 2006-06-07 02:29:36 EDT
Created attachment 130655 [details]
hr_HR.dic file

This is the new hr_HR.dic file which works fine. Just upgrade it and everything
should work fine.
Comment 10 Igor Jagec 2006-06-07 02:34:59 EDT
Created attachment 130656 [details]
the new hr_HR.aff file
Comment 11 Igor Jagec 2006-06-07 02:35:57 EDT
Created attachment 130657 [details]
the new hyph_hr.dic file
Comment 12 Caolan McNamara 2006-06-07 04:07:39 EDT
Some investigation shows that these come from http://cvs.linux.hr/spell/ ,
they're not in the default upstream OpenOffice.org dictionaries, nor are they
available from the default "extras" contrib ftp of
http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/
which is why we didn't include them
Comment 13 Caolan McNamara 2006-06-07 04:08:22 EDT
adding to 2.0.3 devel 
Comment 14 Igor Jagec 2006-06-07 19:09:09 EDT
Hm... those packages from http://cvs.linux.hr/spell/myspell/ haven't been updated for almost 2 
years, and the Croatian Ubuntu team fixed the problem recently. What ever it is, I hope that will fix 
the problem. I will test the updated package for sure ;)
Comment 15 Caolan McNamara 2006-06-08 05:53:03 EDT
I've poked all the right people and gotten the contrib stuff on openoffice.org
updated to take the latest croatian dictionaries. So all should be organized
better from now on.
Comment 16 Igor Jagec 2006-06-08 06:20:30 EDT
That's very nice to hear, thanks Caolan.

Note You need to log in before you can comment on or make changes to this bug.